WiredTiger: com.wiredtiger.db.wiredtiger Class Reference

| Version 3.1.0

Fork me on GitHub Join my user group
List of all members | Static Public Member Functions
com.wiredtiger.db.wiredtiger Class Reference
WiredTiger Java API

Inherits com.wiredtiger.db.wiredtigerConstants.

## Static Public Member Functions
static String | wiredtiger_strerror (int error)
static Connection | open (String home, String config) throws com.wiredtiger.db.WiredTigerException
| Open a connection to a database. More...

## Additional Inherited Members
Static Public Attributes inherited from com.wiredtiger.db.wiredtigerConstants
static final int | WIREDTIGER_VERSION_MAJOR
static final int | WIREDTIGER_VERSION_MINOR
static final int | WIREDTIGER_VERSION_PATCH
static final String | WIREDTIGER_VERSION_STRING
static final int | WT_ROLLBACK
static final int | WT_DUPLICATE_KEY
static final int | WT_ERROR
static final int | WT_NOTFOUND
static final int | WT_PANIC
static final int | WT_RESTART
static final int | WT_RUN_RECOVERY
static final int | WT_CACHE_FULL
static final int | WT_PREPARE_CONFLICT
static final int | WT_DEADLOCK
static final int | WT_LOGREC_CHECKPOINT
static final int | WT_LOGREC_COMMIT
static final int | WT_LOGREC_FILE_SYNC
static final int | WT_LOGREC_MESSAGE
static final int | WT_LOGREC_SYSTEM
static final int | WT_LOGOP_INVALID
static final int | WT_LOGOP_COL_PUT
static final int | WT_LOGOP_COL_REMOVE
static final int | WT_LOGOP_COL_TRUNCATE
static final int | WT_LOGOP_ROW_PUT
static final int | WT_LOGOP_ROW_REMOVE
static final int | WT_LOGOP_ROW_TRUNCATE
static final int | WT_LOGOP_CHECKPOINT_START
static final int | WT_LOGOP_PREV_LSN
static final int | WT_LOGOP_COL_MODIFY
static final int | WT_LOGOP_ROW_MODIFY
static final int | WT_STAT_CONN_LSM_WORK_QUEUE_APP
static final int | WT_STAT_CONN_LSM_WORK_QUEUE_MANAGER
static final int | WT_STAT_CONN_LSM_ROWS_MERGED
static final int | WT_STAT_CONN_LSM_CHECKPOINT_THROTTLE
static final int | WT_STAT_CONN_LSM_MERGE_THROTTLE
static final int | WT_STAT_CONN_LSM_WORK_QUEUE_SWITCH
static final int | WT_STAT_CONN_LSM_WORK_UNITS_DISCARDED
static final int | WT_STAT_CONN_LSM_WORK_UNITS_DONE
static final int | WT_STAT_CONN_LSM_WORK_UNITS_CREATED
static final int | WT_STAT_CONN_LSM_WORK_QUEUE_MAX
static final int | WT_STAT_CONN_ASYNC_CUR_QUEUE
static final int | WT_STAT_CONN_ASYNC_MAX_QUEUE
static final int | WT_STAT_CONN_ASYNC_ALLOC_RACE
static final int | WT_STAT_CONN_ASYNC_FLUSH
static final int | WT_STAT_CONN_ASYNC_ALLOC_VIEW
static final int | WT_STAT_CONN_ASYNC_FULL
static final int | WT_STAT_CONN_ASYNC_NOWORK
static final int | WT_STAT_CONN_ASYNC_OP_ALLOC
static final int | WT_STAT_CONN_ASYNC_OP_COMPACT
static final int | WT_STAT_CONN_ASYNC_OP_INSERT
static final int | WT_STAT_CONN_ASYNC_OP_REMOVE
static final int | WT_STAT_CONN_ASYNC_OP_SEARCH
static final int | WT_STAT_CONN_ASYNC_OP_UPDATE
static final int | WT_STAT_CONN_BLOCK_PRELOAD
static final int | WT_STAT_CONN_BLOCK_READ
static final int | WT_STAT_CONN_BLOCK_WRITE
static final int | WT_STAT_CONN_BLOCK_BYTE_READ
static final int | WT_STAT_CONN_BLOCK_BYTE_WRITE
static final int | WT_STAT_CONN_BLOCK_BYTE_WRITE_CHECKPOINT
static final int | WT_STAT_CONN_BLOCK_MAP_READ
static final int | WT_STAT_CONN_BLOCK_BYTE_MAP_READ
static final int | WT_STAT_CONN_CACHE_READ_APP_COUNT
static final int | WT_STAT_CONN_CACHE_READ_APP_TIME
static final int | WT_STAT_CONN_CACHE_WRITE_APP_COUNT
static final int | WT_STAT_CONN_CACHE_WRITE_APP_TIME
static final int | WT_STAT_CONN_CACHE_BYTES_IMAGE
static final int | WT_STAT_CONN_CACHE_BYTES_LOOKASIDE
static final int | WT_STAT_CONN_CACHE_BYTES_INUSE
static final int | WT_STAT_CONN_CACHE_BYTES_OTHER
static final int | WT_STAT_CONN_CACHE_BYTES_READ
static final int | WT_STAT_CONN_CACHE_BYTES_WRITE
static final int | WT_STAT_CONN_CACHE_EVICTION_CHECKPOINT
static final int | WT_STAT_CONN_CACHE_EVICTION_GET_REF
static final int | WT_STAT_CONN_CACHE_EVICTION_GET_REF_EMPTY
static final int | WT_STAT_CONN_CACHE_EVICTION_GET_REF_EMPTY2
static final int | WT_STAT_CONN_CACHE_EVICTION_AGGRESSIVE_SET
static final int | WT_STAT_CONN_CACHE_EVICTION_EMPTY_SCORE
static final int | WT_STAT_CONN_CACHE_EVICTION_WALK_PASSES
static final int | WT_STAT_CONN_CACHE_EVICTION_QUEUE_EMPTY
static final int | WT_STAT_CONN_CACHE_EVICTION_QUEUE_NOT_EMPTY
static final int | WT_STAT_CONN_CACHE_EVICTION_SERVER_EVICTING
static final int | WT_STAT_CONN_CACHE_EVICTION_SERVER_SLEPT
static final int | WT_STAT_CONN_CACHE_EVICTION_SLOW
static final int | WT_STAT_CONN_CACHE_EVICTION_STATE
static final int | WT_STAT_CONN_CACHE_EVICTION_TARGET_PAGE_LT10
static final int | WT_STAT_CONN_CACHE_EVICTION_TARGET_PAGE_LT32
static final int | WT_STAT_CONN_CACHE_EVICTION_TARGET_PAGE_GE128
static final int | WT_STAT_CONN_CACHE_EVICTION_TARGET_PAGE_LT64
static final int | WT_STAT_CONN_CACHE_EVICTION_TARGET_PAGE_LT128
static final int | WT_STAT_CONN_CACHE_EVICTION_WALKS_ABANDONED
static final int | WT_STAT_CONN_CACHE_EVICTION_WALKS_STOPPED
static final int | WT_STAT_CONN_CACHE_EVICTION_WALKS_GAVE_UP_NO_TARGETS
static final int | WT_STAT_CONN_CACHE_EVICTION_WALKS_GAVE_UP_RATIO
static final int | WT_STAT_CONN_CACHE_EVICTION_WALKS_ENDED
static final int | WT_STAT_CONN_CACHE_EVICTION_WALK_FROM_ROOT
static final int | WT_STAT_CONN_CACHE_EVICTION_WALK_SAVED_POS
static final int | WT_STAT_CONN_CACHE_EVICTION_ACTIVE_WORKERS
static final int | WT_STAT_CONN_CACHE_EVICTION_WORKER_CREATED
static final int | WT_STAT_CONN_CACHE_EVICTION_WORKER_EVICTING
static final int | WT_STAT_CONN_CACHE_EVICTION_WORKER_REMOVED
static final int | WT_STAT_CONN_CACHE_EVICTION_STABLE_STATE_WORKERS
static final int | WT_STAT_CONN_CACHE_EVICTION_FORCE_FAIL
static final int | WT_STAT_CONN_CACHE_EVICTION_FORCE_FAIL_TIME
static final int | WT_STAT_CONN_CACHE_EVICTION_WALKS_ACTIVE
static final int | WT_STAT_CONN_CACHE_EVICTION_WALKS_STARTED
static final int | WT_STAT_CONN_CACHE_EVICTION_FORCE_RETUNE
static final int | WT_STAT_CONN_CACHE_EVICTION_HAZARD
static final int | WT_STAT_CONN_CACHE_HAZARD_CHECKS
static final int | WT_STAT_CONN_CACHE_HAZARD_WALKS
static final int | WT_STAT_CONN_CACHE_HAZARD_MAX
static final int | WT_STAT_CONN_CACHE_INMEM_SPLITTABLE
static final int | WT_STAT_CONN_CACHE_INMEM_SPLIT
static final int | WT_STAT_CONN_CACHE_EVICTION_INTERNAL
static final int | WT_STAT_CONN_CACHE_EVICTION_SPLIT_INTERNAL
static final int | WT_STAT_CONN_CACHE_EVICTION_SPLIT_LEAF
static final int | WT_STAT_CONN_CACHE_LOOKASIDE_SCORE
static final int | WT_STAT_CONN_CACHE_LOOKASIDE_ENTRIES
static final int | WT_STAT_CONN_CACHE_LOOKASIDE_INSERT
static final int | WT_STAT_CONN_CACHE_LOOKASIDE_REMOVE
static final int | WT_STAT_CONN_CACHE_BYTES_MAX
static final int | WT_STAT_CONN_CACHE_EVICTION_MAXIMUM_PAGE_SIZE
static final int | WT_STAT_CONN_CACHE_EVICTION_DIRTY
static final int | WT_STAT_CONN_CACHE_EVICTION_APP_DIRTY
static final int | WT_STAT_CONN_CACHE_READ_OVERFLOW
static final int | WT_STAT_CONN_CACHE_EVICTION_DEEPEN
static final int | WT_STAT_CONN_CACHE_WRITE_LOOKASIDE
static final int | WT_STAT_CONN_CACHE_PAGES_INUSE
static final int | WT_STAT_CONN_CACHE_EVICTION_FORCE
static final int | WT_STAT_CONN_CACHE_EVICTION_FORCE_TIME
static final int | WT_STAT_CONN_CACHE_EVICTION_FORCE_DELETE
static final int | WT_STAT_CONN_CACHE_EVICTION_FORCE_DELETE_TIME
static final int | WT_STAT_CONN_CACHE_EVICTION_APP
static final int | WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED
static final int | WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED_URGENT
static final int | WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED_OLDEST
static final int | WT_STAT_CONN_CACHE_READ
static final int | WT_STAT_CONN_CACHE_READ_DELETED
static final int | WT_STAT_CONN_CACHE_READ_DELETED_PREPARED
static final int | WT_STAT_CONN_CACHE_READ_LOOKASIDE
static final int | WT_STAT_CONN_CACHE_READ_LOOKASIDE_CHECKPOINT
static final int | WT_STAT_CONN_CACHE_READ_LOOKASIDE_SKIPPED
static final int | WT_STAT_CONN_CACHE_READ_LOOKASIDE_DELAY
static final int | WT_STAT_CONN_CACHE_READ_LOOKASIDE_DELAY_CHECKPOINT
static final int | WT_STAT_CONN_CACHE_PAGES_REQUESTED
static final int | WT_STAT_CONN_CACHE_EVICTION_PAGES_SEEN
static final int | WT_STAT_CONN_CACHE_EVICTION_FAIL
static final int | WT_STAT_CONN_CACHE_EVICTION_WALK
static final int | WT_STAT_CONN_CACHE_WRITE
static final int | WT_STAT_CONN_CACHE_WRITE_RESTORE
static final int | WT_STAT_CONN_CACHE_OVERHEAD
static final int | WT_STAT_CONN_CACHE_BYTES_INTERNAL
static final int | WT_STAT_CONN_CACHE_BYTES_LEAF
static final int | WT_STAT_CONN_CACHE_BYTES_DIRTY
static final int | WT_STAT_CONN_CACHE_PAGES_DIRTY
static final int | WT_STAT_CONN_CACHE_EVICTION_CLEAN
static final int | WT_STAT_CONN_COND_AUTO_WAIT_RESET
static final int | WT_STAT_CONN_COND_AUTO_WAIT
static final int | WT_STAT_CONN_TIME_TRAVEL
static final int | WT_STAT_CONN_FILE_OPEN
static final int | WT_STAT_CONN_MEMORY_ALLOCATION
static final int | WT_STAT_CONN_MEMORY_FREE
static final int | WT_STAT_CONN_MEMORY_GROW
static final int | WT_STAT_CONN_COND_WAIT
static final int | WT_STAT_CONN_RWLOCK_READ
static final int | WT_STAT_CONN_RWLOCK_WRITE
static final int | WT_STAT_CONN_FSYNC_IO
static final int | WT_STAT_CONN_READ_IO
static final int | WT_STAT_CONN_WRITE_IO
static final int | WT_STAT_CONN_CURSOR_CREATE
static final int | WT_STAT_CONN_CURSOR_INSERT
static final int | WT_STAT_CONN_CURSOR_MODIFY
static final int | WT_STAT_CONN_CURSOR_NEXT
static final int | WT_STAT_CONN_CURSOR_PREV
static final int | WT_STAT_CONN_CURSOR_REMOVE
static final int | WT_STAT_CONN_CURSOR_RESERVE
static final int | WT_STAT_CONN_CURSOR_RESET
static final int | WT_STAT_CONN_CURSOR_RESTART
static final int | WT_STAT_CONN_CURSOR_SEARCH
static final int | WT_STAT_CONN_CURSOR_SEARCH_NEAR
static final int | WT_STAT_CONN_CURSOR_SWEEP_BUCKETS
static final int | WT_STAT_CONN_CURSOR_SWEEP_CLOSED
static final int | WT_STAT_CONN_CURSOR_SWEEP_EXAMINED
static final int | WT_STAT_CONN_CURSOR_SWEEP
static final int | WT_STAT_CONN_CURSOR_UPDATE
static final int | WT_STAT_CONN_CURSOR_CACHE
static final int | WT_STAT_CONN_CURSOR_REOPEN
static final int | WT_STAT_CONN_CURSOR_TRUNCATE
static final int | WT_STAT_CONN_DH_CONN_HANDLE_COUNT
static final int | WT_STAT_CONN_DH_SWEEP_REF
static final int | WT_STAT_CONN_DH_SWEEP_CLOSE
static final int | WT_STAT_CONN_DH_SWEEP_REMOVE
static final int | WT_STAT_CONN_DH_SWEEP_TOD
static final int | WT_STAT_CONN_DH_SWEEPS
static final int | WT_STAT_CONN_DH_SESSION_HANDLES
static final int | WT_STAT_CONN_DH_SESSION_SWEEPS
static final int | WT_STAT_CONN_LOCK_CHECKPOINT_COUNT
static final int | WT_STAT_CONN_LOCK_CHECKPOINT_WAIT_APPLICATION
static final int | WT_STAT_CONN_LOCK_CHECKPOINT_WAIT_INTERNAL
static final int | WT_STAT_CONN_LOCK_COMMIT_TIMESTAMP_WAIT_APPLICATION
static final int | WT_STAT_CONN_LOCK_COMMIT_TIMESTAMP_WAIT_INTERNAL
static final int | WT_STAT_CONN_LOCK_COMMIT_TIMESTAMP_READ_COUNT
static final int | WT_STAT_CONN_LOCK_COMMIT_TIMESTAMP_WRITE_COUNT
static final int | WT_STAT_CONN_LOCK_DHANDLE_WAIT_APPLICATION
static final int | WT_STAT_CONN_LOCK_DHANDLE_WAIT_INTERNAL
static final int | WT_STAT_CONN_LOCK_DHANDLE_READ_COUNT
static final int | WT_STAT_CONN_LOCK_DHANDLE_WRITE_COUNT
static final int | WT_STAT_CONN_LOCK_METADATA_COUNT
static final int | WT_STAT_CONN_LOCK_METADATA_WAIT_APPLICATION
static final int | WT_STAT_CONN_LOCK_METADATA_WAIT_INTERNAL
static final int | WT_STAT_CONN_LOCK_READ_TIMESTAMP_WAIT_APPLICATION
static final int | WT_STAT_CONN_LOCK_READ_TIMESTAMP_WAIT_INTERNAL
static final int | WT_STAT_CONN_LOCK_READ_TIMESTAMP_READ_COUNT
static final int | WT_STAT_CONN_LOCK_READ_TIMESTAMP_WRITE_COUNT
static final int | WT_STAT_CONN_LOCK_SCHEMA_COUNT
static final int | WT_STAT_CONN_LOCK_SCHEMA_WAIT_APPLICATION
static final int | WT_STAT_CONN_LOCK_SCHEMA_WAIT_INTERNAL
static final int | WT_STAT_CONN_LOCK_TABLE_WAIT_APPLICATION
static final int | WT_STAT_CONN_LOCK_TABLE_WAIT_INTERNAL
static final int | WT_STAT_CONN_LOCK_TABLE_READ_COUNT
static final int | WT_STAT_CONN_LOCK_TABLE_WRITE_COUNT
static final int | WT_STAT_CONN_LOCK_TXN_GLOBAL_WAIT_APPLICATION
static final int | WT_STAT_CONN_LOCK_TXN_GLOBAL_WAIT_INTERNAL
static final int | WT_STAT_CONN_LOCK_TXN_GLOBAL_READ_COUNT
static final int | WT_STAT_CONN_LOCK_TXN_GLOBAL_WRITE_COUNT
static final int | WT_STAT_CONN_LOG_SLOT_SWITCH_BUSY
static final int | WT_STAT_CONN_LOG_FORCE_ARCHIVE_SLEEP
static final int | WT_STAT_CONN_LOG_BYTES_PAYLOAD
static final int | WT_STAT_CONN_LOG_BYTES_WRITTEN
static final int | WT_STAT_CONN_LOG_ZERO_FILLS
static final int | WT_STAT_CONN_LOG_FLUSH
static final int | WT_STAT_CONN_LOG_FORCE_WRITE
static final int | WT_STAT_CONN_LOG_FORCE_WRITE_SKIP
static final int | WT_STAT_CONN_LOG_COMPRESS_WRITES
static final int | WT_STAT_CONN_LOG_COMPRESS_WRITE_FAILS
static final int | WT_STAT_CONN_LOG_COMPRESS_SMALL
static final int | WT_STAT_CONN_LOG_RELEASE_WRITE_LSN
static final int | WT_STAT_CONN_LOG_SCANS
static final int | WT_STAT_CONN_LOG_SCAN_REREADS
static final int | WT_STAT_CONN_LOG_WRITE_LSN
static final int | WT_STAT_CONN_LOG_WRITE_LSN_SKIP
static final int | WT_STAT_CONN_LOG_SYNC
static final int | WT_STAT_CONN_LOG_SYNC_DURATION
static final int | WT_STAT_CONN_LOG_SYNC_DIR
static final int | WT_STAT_CONN_LOG_SYNC_DIR_DURATION
static final int | WT_STAT_CONN_LOG_WRITES
static final int | WT_STAT_CONN_LOG_SLOT_CONSOLIDATED
static final int | WT_STAT_CONN_LOG_MAX_FILESIZE
static final int | WT_STAT_CONN_LOG_PREALLOC_MAX
static final int | WT_STAT_CONN_LOG_PREALLOC_MISSED
static final int | WT_STAT_CONN_LOG_PREALLOC_FILES
static final int | WT_STAT_CONN_LOG_PREALLOC_USED
static final int | WT_STAT_CONN_LOG_SCAN_RECORDS
static final int | WT_STAT_CONN_LOG_SLOT_CLOSE_RACE
static final int | WT_STAT_CONN_LOG_SLOT_CLOSE_UNBUF
static final int | WT_STAT_CONN_LOG_SLOT_CLOSES
static final int | WT_STAT_CONN_LOG_SLOT_RACES
static final int | WT_STAT_CONN_LOG_SLOT_YIELD_RACE
static final int | WT_STAT_CONN_LOG_SLOT_IMMEDIATE
static final int | WT_STAT_CONN_LOG_SLOT_YIELD_CLOSE
static final int | WT_STAT_CONN_LOG_SLOT_YIELD_SLEEP
static final int | WT_STAT_CONN_LOG_SLOT_YIELD
static final int | WT_STAT_CONN_LOG_SLOT_ACTIVE_CLOSED
static final int | WT_STAT_CONN_LOG_SLOT_YIELD_DURATION
static final int | WT_STAT_CONN_LOG_SLOT_NO_FREE_SLOTS
static final int | WT_STAT_CONN_LOG_SLOT_UNBUFFERED
static final int | WT_STAT_CONN_LOG_COMPRESS_MEM
static final int | WT_STAT_CONN_LOG_BUFFER_SIZE
static final int | WT_STAT_CONN_LOG_COMPRESS_LEN
static final int | WT_STAT_CONN_LOG_SLOT_COALESCED
static final int | WT_STAT_CONN_LOG_CLOSE_YIELDS
static final int | WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT50
static final int | WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT100
static final int | WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT250
static final int | WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT500
static final int | WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT1000
static final int | WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_GT1000
static final int | WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT50
static final int | WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT100
static final int | WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT250
static final int | WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT500
static final int | WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT1000
static final int | WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_GT1000
static final int | WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT250
static final int | WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT500
static final int | WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT1000
static final int | WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT10000
static final int | WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_GT10000
static final int | WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT250
static final int | WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT500
static final int | WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT1000
static final int | WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT10000
static final int | WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_GT10000
static final int | WT_STAT_CONN_REC_PAGE_DELETE_FAST
static final int | WT_STAT_CONN_REC_PAGES
static final int | WT_STAT_CONN_REC_PAGES_EVICTION
static final int | WT_STAT_CONN_REC_PAGE_DELETE
static final int | WT_STAT_CONN_REC_SPLIT_STASHED_BYTES
static final int | WT_STAT_CONN_REC_SPLIT_STASHED_OBJECTS
static final int | WT_STAT_CONN_SESSION_CURSOR_OPEN
static final int | WT_STAT_CONN_SESSION_OPEN
static final int | WT_STAT_CONN_SESSION_TABLE_ALTER_FAIL
static final int | WT_STAT_CONN_SESSION_TABLE_ALTER_SUCCESS
static final int | WT_STAT_CONN_SESSION_TABLE_ALTER_SKIP
static final int | WT_STAT_CONN_SESSION_TABLE_COMPACT_FAIL
static final int | WT_STAT_CONN_SESSION_TABLE_COMPACT_SUCCESS
static final int | WT_STAT_CONN_SESSION_TABLE_CREATE_FAIL
static final int | WT_STAT_CONN_SESSION_TABLE_CREATE_SUCCESS
static final int | WT_STAT_CONN_SESSION_TABLE_DROP_FAIL
static final int | WT_STAT_CONN_SESSION_TABLE_DROP_SUCCESS
static final int | WT_STAT_CONN_SESSION_TABLE_REBALANCE_FAIL
static final int | WT_STAT_CONN_SESSION_TABLE_REBALANCE_SUCCESS
static final int | WT_STAT_CONN_SESSION_TABLE_RENAME_FAIL
static final int | WT_STAT_CONN_SESSION_TABLE_RENAME_SUCCESS
static final int | WT_STAT_CONN_SESSION_TABLE_SALVAGE_FAIL
static final int | WT_STAT_CONN_SESSION_TABLE_SALVAGE_SUCCESS
static final int | WT_STAT_CONN_SESSION_TABLE_TRUNCATE_FAIL
static final int | WT_STAT_CONN_SESSION_TABLE_TRUNCATE_SUCCESS
static final int | WT_STAT_CONN_SESSION_TABLE_VERIFY_FAIL
static final int | WT_STAT_CONN_SESSION_TABLE_VERIFY_SUCCESS
static final int | WT_STAT_CONN_THREAD_FSYNC_ACTIVE
static final int | WT_STAT_CONN_THREAD_READ_ACTIVE
static final int | WT_STAT_CONN_THREAD_WRITE_ACTIVE
static final int | WT_STAT_CONN_APPLICATION_EVICT_TIME
static final int | WT_STAT_CONN_APPLICATION_CACHE_TIME
static final int | WT_STAT_CONN_TXN_RELEASE_BLOCKED
static final int | WT_STAT_CONN_CONN_CLOSE_BLOCKED_LSM
static final int | WT_STAT_CONN_DHANDLE_LOCK_BLOCKED
static final int | WT_STAT_CONN_PAGE_INDEX_SLOT_REF_BLOCKED
static final int | WT_STAT_CONN_LOG_SERVER_SYNC_BLOCKED
static final int | WT_STAT_CONN_PREPARED_TRANSITION_BLOCKED_PAGE
static final int | WT_STAT_CONN_PAGE_BUSY_BLOCKED
static final int | WT_STAT_CONN_PAGE_FORCIBLE_EVICT_BLOCKED
static final int | WT_STAT_CONN_PAGE_LOCKED_BLOCKED
static final int | WT_STAT_CONN_PAGE_READ_BLOCKED
static final int | WT_STAT_CONN_PAGE_SLEEP
static final int | WT_STAT_CONN_PAGE_DEL_ROLLBACK_BLOCKED
static final int | WT_STAT_CONN_CHILD_MODIFY_BLOCKED_PAGE
static final int | WT_STAT_CONN_TXN_COMMIT_QUEUE_EMPTY
static final int | WT_STAT_CONN_TXN_COMMIT_QUEUE_TAIL
static final int | WT_STAT_CONN_TXN_COMMIT_QUEUE_INSERTS
static final int | WT_STAT_CONN_TXN_COMMIT_QUEUE_LEN
static final int | WT_STAT_CONN_TXN_SNAPSHOTS_CREATED
static final int | WT_STAT_CONN_TXN_SNAPSHOTS_DROPPED
static final int | WT_STAT_CONN_TXN_PREPARE
static final int | WT_STAT_CONN_TXN_PREPARE_COMMIT
static final int | WT_STAT_CONN_TXN_PREPARE_ACTIVE
static final int | WT_STAT_CONN_TXN_PREPARE_ROLLBACK
static final int | WT_STAT_CONN_TXN_QUERY_TS
static final int | WT_STAT_CONN_TXN_READ_QUEUE_EMPTY
static final int | WT_STAT_CONN_TXN_READ_QUEUE_HEAD
static final int | WT_STAT_CONN_TXN_READ_QUEUE_INSERTS
static final int | WT_STAT_CONN_TXN_READ_QUEUE_LEN
static final int | WT_STAT_CONN_TXN_ROLLBACK_TO_STABLE
static final int | WT_STAT_CONN_TXN_ROLLBACK_UPD_ABORTED
static final int | WT_STAT_CONN_TXN_ROLLBACK_LAS_REMOVED
static final int | WT_STAT_CONN_TXN_SET_TS
static final int | WT_STAT_CONN_TXN_SET_TS_COMMIT
static final int | WT_STAT_CONN_TXN_SET_TS_COMMIT_UPD
static final int | WT_STAT_CONN_TXN_SET_TS_OLDEST
static final int | WT_STAT_CONN_TXN_SET_TS_OLDEST_UPD
static final int | WT_STAT_CONN_TXN_SET_TS_STABLE
static final int | WT_STAT_CONN_TXN_SET_TS_STABLE_UPD
static final int | WT_STAT_CONN_TXN_BEGIN
static final int | WT_STAT_CONN_TXN_CHECKPOINT_RUNNING
static final int | WT_STAT_CONN_TXN_CHECKPOINT_GENERATION
static final int | WT_STAT_CONN_TXN_CHECKPOINT_TIME_MAX
static final int | WT_STAT_CONN_TXN_CHECKPOINT_TIME_MIN
static final int | WT_STAT_CONN_TXN_CHECKPOINT_TIME_RECENT
static final int | WT_STAT_CONN_TXN_CHECKPOINT_SCRUB_TARGET
static final int | WT_STAT_CONN_TXN_CHECKPOINT_SCRUB_TIME
static final int | WT_STAT_CONN_TXN_CHECKPOINT_TIME_TOTAL
static final int | WT_STAT_CONN_TXN_CHECKPOINT
static final int | WT_STAT_CONN_TXN_CHECKPOINT_SKIPPED
static final int | WT_STAT_CONN_TXN_FAIL_CACHE
static final int | WT_STAT_CONN_TXN_CHECKPOINT_FSYNC_POST
static final int | WT_STAT_CONN_TXN_CHECKPOINT_FSYNC_POST_DURATION
static final int | WT_STAT_CONN_TXN_PINNED_RANGE
static final int | WT_STAT_CONN_TXN_PINNED_CHECKPOINT_RANGE
static final int | WT_STAT_CONN_TXN_PINNED_SNAPSHOT_RANGE
static final int | WT_STAT_CONN_TXN_PINNED_TIMESTAMP
static final int | WT_STAT_CONN_TXN_PINNED_TIMESTAMP_OLDEST
static final int | WT_STAT_CONN_TXN_SYNC
static final int | WT_STAT_CONN_TXN_COMMIT
static final int | WT_STAT_CONN_TXN_ROLLBACK
static final int | WT_STAT_CONN_TXN_UPDATE_CONFLICT
static final int | WT_STAT_DSRC_BLOOM_FALSE_POSITIVE
static final int | WT_STAT_DSRC_BLOOM_HIT
static final int | WT_STAT_DSRC_BLOOM_MISS
static final int | WT_STAT_DSRC_BLOOM_PAGE_EVICT
static final int | WT_STAT_DSRC_BLOOM_PAGE_READ
static final int | WT_STAT_DSRC_BLOOM_COUNT
static final int | WT_STAT_DSRC_LSM_CHUNK_COUNT
static final int | WT_STAT_DSRC_LSM_GENERATION_MAX
static final int | WT_STAT_DSRC_LSM_LOOKUP_NO_BLOOM
static final int | WT_STAT_DSRC_LSM_CHECKPOINT_THROTTLE
static final int | WT_STAT_DSRC_LSM_MERGE_THROTTLE
static final int | WT_STAT_DSRC_BLOOM_SIZE
static final int | WT_STAT_DSRC_BLOCK_EXTENSION
static final int | WT_STAT_DSRC_BLOCK_ALLOC
static final int | WT_STAT_DSRC_BLOCK_FREE
static final int | WT_STAT_DSRC_BLOCK_CHECKPOINT_SIZE
static final int | WT_STAT_DSRC_ALLOCATION_SIZE
static final int | WT_STAT_DSRC_BLOCK_REUSE_BYTES
static final int | WT_STAT_DSRC_BLOCK_MAGIC
static final int | WT_STAT_DSRC_BLOCK_MAJOR
static final int | WT_STAT_DSRC_BLOCK_SIZE
static final int | WT_STAT_DSRC_BLOCK_MINOR
static final int | WT_STAT_DSRC_BTREE_CHECKPOINT_GENERATION
static final int | WT_STAT_DSRC_BTREE_COLUMN_FIX
static final int | WT_STAT_DSRC_BTREE_COLUMN_INTERNAL
static final int | WT_STAT_DSRC_BTREE_COLUMN_RLE
static final int | WT_STAT_DSRC_BTREE_COLUMN_DELETED
static final int | WT_STAT_DSRC_BTREE_COLUMN_VARIABLE
static final int | WT_STAT_DSRC_BTREE_FIXED_LEN
static final int | WT_STAT_DSRC_BTREE_MAXINTLKEY
static final int | WT_STAT_DSRC_BTREE_MAXINTLPAGE
static final int | WT_STAT_DSRC_BTREE_MAXLEAFKEY
static final int | WT_STAT_DSRC_BTREE_MAXLEAFPAGE
static final int | WT_STAT_DSRC_BTREE_MAXLEAFVALUE
static final int | WT_STAT_DSRC_BTREE_MAXIMUM_DEPTH
static final int | WT_STAT_DSRC_BTREE_ENTRIES
static final int | WT_STAT_DSRC_BTREE_OVERFLOW
static final int | WT_STAT_DSRC_BTREE_COMPACT_REWRITE
static final int | WT_STAT_DSRC_BTREE_ROW_INTERNAL
static final int | WT_STAT_DSRC_BTREE_ROW_LEAF
static final int | WT_STAT_DSRC_CACHE_BYTES_INUSE
static final int | WT_STAT_DSRC_CACHE_BYTES_READ
static final int | WT_STAT_DSRC_CACHE_BYTES_WRITE
static final int | WT_STAT_DSRC_CACHE_EVICTION_CHECKPOINT
static final int | WT_STAT_DSRC_CACHE_EVICTION_FAIL
static final int | WT_STAT_DSRC_CACHE_EVICTION_WALK_PASSES
static final int | WT_STAT_DSRC_CACHE_EVICTION_TARGET_PAGE_LT10
static final int | WT_STAT_DSRC_CACHE_EVICTION_TARGET_PAGE_LT32
static final int | WT_STAT_DSRC_CACHE_EVICTION_TARGET_PAGE_GE128
static final int | WT_STAT_DSRC_CACHE_EVICTION_TARGET_PAGE_LT64
static final int | WT_STAT_DSRC_CACHE_EVICTION_TARGET_PAGE_LT128
static final int | WT_STAT_DSRC_CACHE_EVICTION_WALKS_ABANDONED
static final int | WT_STAT_DSRC_CACHE_EVICTION_WALKS_STOPPED
static final int | WT_STAT_DSRC_CACHE_EVICTION_WALKS_GAVE_UP_NO_TARGETS
static final int | WT_STAT_DSRC_CACHE_EVICTION_WALKS_GAVE_UP_RATIO
static final int | WT_STAT_DSRC_CACHE_EVICTION_WALKS_ENDED
static final int | WT_STAT_DSRC_CACHE_EVICTION_WALK_FROM_ROOT
static final int | WT_STAT_DSRC_CACHE_EVICTION_WALK_SAVED_POS
static final int | WT_STAT_DSRC_CACHE_EVICTION_HAZARD
static final int | WT_STAT_DSRC_CACHE_INMEM_SPLITTABLE
static final int | WT_STAT_DSRC_CACHE_INMEM_SPLIT
static final int | WT_STAT_DSRC_CACHE_EVICTION_INTERNAL
static final int | WT_STAT_DSRC_CACHE_EVICTION_SPLIT_INTERNAL
static final int | WT_STAT_DSRC_CACHE_EVICTION_SPLIT_LEAF
static final int | WT_STAT_DSRC_CACHE_EVICTION_DIRTY
static final int | WT_STAT_DSRC_CACHE_READ_OVERFLOW
static final int | WT_STAT_DSRC_CACHE_EVICTION_DEEPEN
static final int | WT_STAT_DSRC_CACHE_WRITE_LOOKASIDE
static final int | WT_STAT_DSRC_CACHE_READ
static final int | WT_STAT_DSRC_CACHE_READ_DELETED
static final int | WT_STAT_DSRC_CACHE_READ_DELETED_PREPARED
static final int | WT_STAT_DSRC_CACHE_READ_LOOKASIDE
static final int | WT_STAT_DSRC_CACHE_PAGES_REQUESTED
static final int | WT_STAT_DSRC_CACHE_EVICTION_PAGES_SEEN
static final int | WT_STAT_DSRC_CACHE_WRITE
static final int | WT_STAT_DSRC_CACHE_WRITE_RESTORE
static final int | WT_STAT_DSRC_CACHE_BYTES_DIRTY
static final int | WT_STAT_DSRC_CACHE_EVICTION_CLEAN
static final int | WT_STAT_DSRC_CACHE_STATE_GEN_AVG_GAP
static final int | WT_STAT_DSRC_CACHE_STATE_AVG_WRITTEN_SIZE
static final int | WT_STAT_DSRC_CACHE_STATE_AVG_VISITED_AGE
static final int | WT_STAT_DSRC_CACHE_STATE_AVG_UNVISITED_AGE
static final int | WT_STAT_DSRC_CACHE_STATE_PAGES_CLEAN
static final int | WT_STAT_DSRC_CACHE_STATE_GEN_CURRENT
static final int | WT_STAT_DSRC_CACHE_STATE_PAGES_DIRTY
static final int | WT_STAT_DSRC_CACHE_STATE_ROOT_ENTRIES
static final int | WT_STAT_DSRC_CACHE_STATE_PAGES_INTERNAL
static final int | WT_STAT_DSRC_CACHE_STATE_PAGES_LEAF
static final int | WT_STAT_DSRC_CACHE_STATE_GEN_MAX_GAP
static final int | WT_STAT_DSRC_CACHE_STATE_MAX_PAGESIZE
static final int | WT_STAT_DSRC_CACHE_STATE_MIN_WRITTEN_SIZE
static final int | WT_STAT_DSRC_CACHE_STATE_UNVISITED_COUNT
static final int | WT_STAT_DSRC_CACHE_STATE_SMALLER_ALLOC_SIZE
static final int | WT_STAT_DSRC_CACHE_STATE_MEMORY
static final int | WT_STAT_DSRC_CACHE_STATE_QUEUED
static final int | WT_STAT_DSRC_CACHE_STATE_NOT_QUEUEABLE
static final int | WT_STAT_DSRC_CACHE_STATE_REFS_SKIPPED
static final int | WT_STAT_DSRC_CACHE_STATE_ROOT_SIZE
static final int | WT_STAT_DSRC_CACHE_STATE_PAGES
static final int | WT_STAT_DSRC_COMPRESS_READ
static final int | WT_STAT_DSRC_COMPRESS_WRITE
static final int | WT_STAT_DSRC_COMPRESS_WRITE_FAIL
static final int | WT_STAT_DSRC_COMPRESS_WRITE_TOO_SMALL
static final int | WT_STAT_DSRC_COMPRESS_RAW_FAIL_TEMPORARY
static final int | WT_STAT_DSRC_COMPRESS_RAW_FAIL
static final int | WT_STAT_DSRC_COMPRESS_RAW_OK
static final int | WT_STAT_DSRC_CURSOR_INSERT_BULK
static final int | WT_STAT_DSRC_CURSOR_CREATE
static final int | WT_STAT_DSRC_CURSOR_INSERT_BYTES
static final int | WT_STAT_DSRC_CURSOR_REMOVE_BYTES
static final int | WT_STAT_DSRC_CURSOR_UPDATE_BYTES
static final int | WT_STAT_DSRC_CURSOR_CACHE
static final int | WT_STAT_DSRC_CURSOR_REOPEN
static final int | WT_STAT_DSRC_CURSOR_INSERT
static final int | WT_STAT_DSRC_CURSOR_MODIFY
static final int | WT_STAT_DSRC_CURSOR_NEXT
static final int | WT_STAT_DSRC_CURSOR_PREV
static final int | WT_STAT_DSRC_CURSOR_REMOVE
static final int | WT_STAT_DSRC_CURSOR_RESERVE
static final int | WT_STAT_DSRC_CURSOR_RESET
static final int | WT_STAT_DSRC_CURSOR_RESTART
static final int | WT_STAT_DSRC_CURSOR_SEARCH
static final int | WT_STAT_DSRC_CURSOR_SEARCH_NEAR
static final int | WT_STAT_DSRC_CURSOR_TRUNCATE
static final int | WT_STAT_DSRC_CURSOR_UPDATE
static final int | WT_STAT_DSRC_REC_DICTIONARY
static final int | WT_STAT_DSRC_REC_PAGE_DELETE_FAST
static final int | WT_STAT_DSRC_REC_SUFFIX_COMPRESSION
static final int | WT_STAT_DSRC_REC_MULTIBLOCK_INTERNAL
static final int | WT_STAT_DSRC_REC_OVERFLOW_KEY_INTERNAL
static final int | WT_STAT_DSRC_REC_PREFIX_COMPRESSION
static final int | WT_STAT_DSRC_REC_MULTIBLOCK_LEAF
static final int | WT_STAT_DSRC_REC_OVERFLOW_KEY_LEAF
static final int | WT_STAT_DSRC_REC_MULTIBLOCK_MAX
static final int | WT_STAT_DSRC_REC_OVERFLOW_VALUE
static final int | WT_STAT_DSRC_REC_PAGE_MATCH
static final int | WT_STAT_DSRC_REC_PAGES
static final int | WT_STAT_DSRC_REC_PAGES_EVICTION
static final int | WT_STAT_DSRC_REC_PAGE_DELETE
static final int | WT_STAT_DSRC_SESSION_CURSOR_CACHED
static final int | WT_STAT_DSRC_SESSION_COMPACT
static final int | WT_STAT_DSRC_SESSION_CURSOR_OPEN
static final int | WT_STAT_DSRC_TXN_UPDATE_CONFLICT
static final int | WT_STAT_JOIN_MAIN_ACCESS
static final int | WT_STAT_JOIN_BLOOM_FALSE_POSITIVE
static final int | WT_STAT_JOIN_MEMBERSHIP_CHECK
static final int | WT_STAT_JOIN_BLOOM_INSERT
static final int | WT_STAT_JOIN_ITERATED

## Member Function Documentation

## ◆ open()

static Connection com.wiredtiger.db.wiredtiger.open | ( | String | home,
|  | String | config
| ) |  | throws com.wiredtiger.db.WiredTigerException
| static

Open a connection to a database.

error_check(wiredtiger_open(home, NULL,
"create,cache_size=5GB,log=(enabled,recover=on),statistics=(all)",
&conn));

Parameters

  | home | The path to the database home directory. See Database Home Directory for more information.
  | event_handler | An event handler. If `NULL`, a default event handler is installed that writes error messages to stderr. See Message handling using the WT_EVENT_HANDLER for more information.
  | config | configuration string, see Configuration Strings. Permitted values:
  Name | Effect | Values
  --- | --- | ---
  `async = (` | asynchronous operations configuration options. | a set of related configuration options defined below.
  `enabled` | enable asynchronous operation. | a boolean flag; default `false`.
  `ops_max` | maximum number of expected simultaneous asynchronous operations. | an integer between 1 and 4096; default `1024`.
  `threads` | the number of worker threads to service asynchronous requests. Each worker thread uses a session from the configured session_max. | an integer between 1 and 20; default `2`.
  `)` |  |
  `buffer_alignment` | in-memory alignment (in bytes) for buffers used for I/O. The default value of -1 indicates a platform-specific alignment value should be used (4KB on Linux systems when direct I/O is configured, zero elsewhere). | an integer between -1 and 1MB; default `-1`.
  `builtin_extension_config` | A structure where the keys are the names of builtin extensions and the values are passed to WT_CONNECTION::load_extension as the `config` parameter (for example, `builtin_extension_config={zlib={compression_level=3}}`). | a string; default empty.
  `cache_cursors` | enable caching of cursors for reuse. This is the default value for any sessions created, and can be overridden in configuring `cache_cursors` in WT_CONNECTION.open_session. | a boolean flag; default `true`.
  `cache_overhead` | assume the heap allocator overhead is the specified percentage, and adjust the cache usage by that amount (for example, if there is 10GB of data in cache, a percentage of 10 means WiredTiger treats this as 11GB). This value is configurable because different heap allocators have different overhead and different workloads will have different heap allocation sizes and patterns, therefore applications may need to adjust this value based on allocator choice and behavior in measured workloads. | an integer between 0 and 30; default `8`.
  `cache_size` | maximum heap memory to allocate for the cache. A database should configure either `cache_size` or `shared_cache` but not both. | an integer between 1MB and 10TB; default `100MB`.
  `checkpoint = (` | periodically checkpoint the database. Enabling the checkpoint server uses a session from the configured session_max. | a set of related configuration options defined below.
  `log_size` | wait for this amount of log record bytes to be written to the log between each checkpoint. If non-zero, this value will use a minimum of the log file size. A database can configure both log_size and wait to set an upper bound for checkpoints; setting this value above 0 configures periodic checkpoints. | an integer between 0 and 2GB; default `0`.
  `wait` | seconds to wait between each checkpoint; setting this value above 0 configures periodic checkpoints. | an integer between 0 and 100000; default `0`.
  `)` |  |
  `checkpoint_sync` | flush files to stable storage when closing or writing checkpoints. | a boolean flag; default `true`.
  `compatibility = (` | set compatibility version of database. Changing the compatibility version requires that there are no active operations for the duration of the call. | a set of related configuration options defined below.
  `release` | compatibility release version string. | a string; default empty.
  `require_max` | required maximum compatibility version of existing data files. Must be greater than or equal to any release version set in the `release` setting. Has no effect if creating the database. | a string; default empty.
  `require_min` | required minimum compatibility version of existing data files. Must be less than or equal to any release version set in the `release` setting. Has no effect if creating the database. | a string; default empty.
  `)` |  |
  `config_base` | write the base configuration file if creating the database. If `false` in the config passed directly to wiredtiger_open, will ignore any existing base configuration file in addition to not creating one. See WiredTiger.basecfg file for more information. | a boolean flag; default `true`.
  `create` | create the database if it does not exist. | a boolean flag; default `false`.
  `direct_io` | Use `O_DIRECT` on POSIX systems, and `FILE_FLAG_NO_BUFFERING` on Windows to access files. Options are given as a list, such as `"direct_io=[data]"`. Configuring `direct_io` requires care, see Direct I/O for important warnings. Including `"data"` will cause WiredTiger data files to use direct I/O, including `"log"` will cause WiredTiger log files to use direct I/O, and including `"checkpoint"` will cause WiredTiger data files opened at a checkpoint (i.e: read only) to use direct I/O. `direct_io` should be combined with `write_through` to get the equivalent of `O_DIRECT` on Windows. | a list, with values chosen from the following options: `"checkpoint"`, `"data"`, `"log"`; default empty.
  `encryption = (` | configure an encryptor for system wide metadata and logs. If a system wide encryptor is set, it is also used for encrypting data files and tables, unless encryption configuration is explicitly set for them when they are created with WT_SESSION::create. | a set of related configuration options defined below.
  `keyid` | An identifier that identifies a unique instance of the encryptor. It is stored in clear text, and thus is available when the wiredtiger database is reopened. On the first use of a (name, keyid) combination, the WT_ENCRYPTOR::customize function is called with the keyid as an argument. | a string; default empty.
  `name` | Permitted values are `"none"` or custom encryption engine name created with WT_CONNECTION::add_encryptor. See Encryptors for more information. | a string; default `none`.
  `secretkey` | A string that is passed to the WT_ENCRYPTOR::customize function. It is never stored in clear text, so must be given to any subsequent wiredtiger_open calls to reopen the database. It must also be provided to any "wt" commands used with this database. | a string; default empty.
  `)` |  |
  `error_prefix` | prefix string for error messages. | a string; default empty.
  `eviction = (` | eviction configuration options. | a set of related configuration options defined below.
  `threads_max` | maximum number of threads WiredTiger will start to help evict pages from cache. The number of threads started will vary depending on the current eviction load. Each eviction worker thread uses a session from the configured session_max. | an integer between 1 and 20; default `8`.
  `threads_min` | minimum number of threads WiredTiger will start to help evict pages from cache. The number of threads currently running will vary depending on the current eviction load. | an integer between 1 and 20; default `1`.
  `)` |  |
  `eviction_checkpoint_target` | perform eviction at the beginning of checkpoints to bring the dirty content in cache to this level. It is a percentage of the cache size if the value is within the range of 0 to 100 or an absolute size when greater than 100. The value is not allowed to exceed the `cache_size`. Ignored if set to zero or `in_memory` is `true`. | an integer between 0 and 10TB; default `5`.
  `eviction_dirty_target` | perform eviction in worker threads when the cache contains at least this much dirty content. It is a percentage of the cache size if the value is within the range of 1 to 100 or an absolute size when greater than 100. The value is not allowed to exceed the `cache_size`. | an integer between 1 and 10TB; default `5`.
  `eviction_dirty_trigger` | trigger application threads to perform eviction when the cache contains at least this much dirty content. It is a percentage of the cache size if the value is within the range of 1 to 100 or an absolute size when greater than 100. The value is not allowed to exceed the `cache_size`. This setting only alters behavior if it is lower than eviction_trigger. | an integer between 1 and 10TB; default `20`.
  `eviction_target` | perform eviction in worker threads when the cache contains at least this much content. It is a percentage of the cache size if the value is within the range of 10 to 100 or an absolute size when greater than 100. The value is not allowed to exceed the `cache_size`. | an integer between 10 and 10TB; default `80`.
  `eviction_trigger` | trigger application threads to perform eviction when the cache contains at least this much content. It is a percentage of the cache size if the value is within the range of 10 to 100 or an absolute size when greater than 100. The value is not allowed to exceed the `cache_size`. | an integer between 10 and 10TB; default `95`.
  `exclusive` | fail if the database already exists, generally used with the `create` option. | a boolean flag; default `false`.
  `extensions` | list of shared library extensions to load (using dlopen). Any values specified to a library extension are passed to WT_CONNECTION::load_extension as the `config` parameter (for example, `extensions=(/path/ext.so={entry=my_entry})`). | a list of strings; default empty.
  `file_extend` | file extension configuration. If set, extend files of the set type in allocations of the set size, instead of a block at a time as each new block is written. For example, `file_extend=(data=16MB)`. | a list, with values chosen from the following options: `"data"`, `"log"`; default empty.
  `file_manager = (` | control how file handles are managed. | a set of related configuration options defined below.
  `close_handle_minimum` | number of handles open before the file manager will look for handles to close. | an integer greater than or equal to 0; default `250`.
  `close_idle_time` | amount of time in seconds a file handle needs to be idle before attempting to close it. A setting of 0 means that idle handles are not closed. | an integer between 0 and 100000; default `30`.
  `close_scan_interval` | interval in seconds at which to check for files that are inactive and close them. | an integer between 1 and 100000; default `10`.
  `)` |  |
  `in_memory` | keep data in-memory only. See In-memory databases for more information. | a boolean flag; default `false`.
  `log = (` | enable logging. Enabling logging uses three sessions from the configured session_max. | a set of related configuration options defined below.
  `archive` | automatically archive unneeded log files. | a boolean flag; default `true`.
  `compressor` | configure a compressor for log records. Permitted values are `"none"` or custom compression engine name created with WT_CONNECTION::add_compressor. If WiredTiger has builtin support for `"lz4"`, `"snappy"`, `"zlib"` or `"zstd"` compression, these names are also available. See Compressors for more information. | a string; default `none`.
  `enabled` | enable logging subsystem. | a boolean flag; default `false`.
  `file_max` | the maximum size of log files. | an integer between 100KB and 2GB; default `100MB`.
  `path` | the name of a directory into which log files are written. The directory must already exist. If the value is not an absolute path, the path is relative to the database home (see Absolute paths for more information). | a string; default `"."`.
  `prealloc` | pre-allocate log files. | a boolean flag; default `true`.
  `recover` | run recovery or error if recovery needs to run after an unclean shutdown. | a string, chosen from the following options: `"error"`, `"on"`; default `on`.
  `zero_fill` | manually write zeroes into log files. | a boolean flag; default `false`.
  `)` |  |
  `lsm_manager = (` | configure database wide options for LSM tree management. The LSM manager is started automatically the first time an LSM tree is opened. The LSM manager uses a session from the configured session_max. | a set of related configuration options defined below.
  `merge` | merge LSM chunks where possible. | a boolean flag; default `true`.
  `worker_thread_max` | Configure a set of threads to manage merging LSM trees in the database. Each worker thread uses a session handle from the configured session_max. | an integer between 3 and 20; default `4`.
  `)` |  |
  `mmap` | Use memory mapping to access files when possible. | a boolean flag; default `true`.
  `multiprocess` | permit sharing between processes (will automatically start an RPC server for primary processes and use RPC for secondary processes). Not yet supported in WiredTiger. | a boolean flag; default `false`.
  `operation_tracking = (` | enable tracking of performance-critical functions. See Track function calls for more information. | a set of related configuration options defined below.
  `enabled` | enable operation tracking subsystem. | a boolean flag; default `false`.
  `path` | the name of a directory into which operation tracking files are written. The directory must already exist. If the value is not an absolute path, the path is relative to the database home (see Absolute paths for more information). | a string; default `"."`.
  `)` |  |
  `readonly` | open connection in read-only mode. The database must exist. All methods that may modify a database are disabled. See Database read-only mode for more information. | a boolean flag; default `false`.
  `session_max` | maximum expected number of sessions (including server threads). | an integer greater than or equal to 1; default `100`.
  `shared_cache = (` | shared cache configuration options. A database should configure either a cache_size or a shared_cache not both. Enabling a shared cache uses a session from the configured session_max. A shared cache can not have absolute values configured for cache eviction settings. | a set of related configuration options defined below.
  `chunk` | the granularity that a shared cache is redistributed. | an integer between 1MB and 10TB; default `10MB`.
  `name` | the name of a cache that is shared between databases or `"none"` when no shared cache is configured. | a string; default `none`.
  `quota` | maximum size of cache this database can be allocated from the shared cache. Defaults to the entire shared cache size. | an integer; default `0`.
  `reserve` | amount of cache this database is guaranteed to have available from the shared cache. This setting is per database. Defaults to the chunk size. | an integer; default `0`.
  `size` | maximum memory to allocate for the shared cache. Setting this will update the value if one is already set. | an integer between 1MB and 10TB; default `500MB`.
  `)` |  |
  `statistics` | Maintain database statistics, which may impact performance. Choosing "all" maintains all statistics regardless of cost, "fast" maintains a subset of statistics that are relatively inexpensive, "none" turns off all statistics. The "clear" configuration resets statistics after they are gathered, where appropriate (for example, a cache size statistic is not cleared, while the count of cursor insert operations will be cleared). When "clear" is configured for the database, gathered statistics are reset each time a statistics cursor is used to gather statistics, as well as each time statistics are logged using the `statistics_log` configuration. See Statistics for more information. | a list, with values chosen from the following options: `"all"`, `"cache_walk"`, `"fast"`, `"none"`, `"clear"`, `"tree_walk"`; default `none`.
  `statistics_log = (` | log any statistics the database is configured to maintain, to a file. See Statistics for more information. Enabling the statistics log server uses a session from the configured session_max. | a set of related configuration options defined below.
  `json` | encode statistics in JSON format. | a boolean flag; default `false`.
  `on_close` | log statistics on database close. | a boolean flag; default `false`.
  `path` | the name of a directory into which statistics files are written. The directory must already exist. If the value is not an absolute path, the path is relative to the database home (see Absolute paths for more information). | a string; default `"."`.
  `sources` | if non-empty, include statistics for the list of data source URIs, if they are open at the time of the statistics logging. The list may include URIs matching a single data source ("table:mytable"), or a URI matching all data sources of a particular type ("table:"). | a list of strings; default empty.
  `timestamp` | a timestamp prepended to each log record, may contain strftime conversion specifications, when `json` is configured, defaults to `"%FT%Y.000Z"`. | a string; default `"%b %d %H:%M:%S"`.
  `wait` | seconds to wait between each write of the log records; setting this value above 0 configures statistics logging. | an integer between 0 and 100000; default `0`.
  `)` |  |
  `transaction_sync = (` | how to sync log records when the transaction commits. | a set of related configuration options defined below.
  `enabled` | whether to sync the log on every commit by default, can be overridden by the `sync` setting to WT_SESSION::commit_transaction. | a boolean flag; default `false`.
  `method` | the method used to ensure log records are stable on disk, see Commit-level durability for more information. | a string, chosen from the following options: `"dsync"`, `"fsync"`, `"none"`; default `fsync`.
  `)` |  |
  `use_environment` | use the `WIREDTIGER_CONFIG` and `WIREDTIGER_HOME` environment variables if the process is not running with special privileges. See Database Home Directory for more information. | a boolean flag; default `true`.
  `use_environment_priv` | use the `WIREDTIGER_CONFIG` and `WIREDTIGER_HOME` environment variables even if the process is running with special privileges. See Database Home Directory for more information. | a boolean flag; default `false`.
  `verbose` | enable messages for various events. Options are given as a list, such as `"verbose=[evictserver,read]"`. | a list, with values chosen from the following options: `"api"`, `"block"`, `"checkpoint"`, `"checkpoint_progress"`, `"compact"`, `"evict"`, `"evict_stuck"`, `"evictserver"`, `"fileops"`, `"handleops"`, `"log"`, `"lookaside"`, `"lookaside_activity"`, `"lsm"`, `"lsm_manager"`, `"metadata"`, `"mutex"`, `"overflow"`, `"read"`, `"rebalance"`, `"reconcile"`, `"recovery"`, `"recovery_progress"`, `"salvage"`, `"shared_cache"`, `"split"`, `"temporary"`, `"thread_group"`, `"timestamp"`, `"transaction"`, `"verify"`, `"version"`, `"write"`; default empty.
  `write_through` | Use `FILE_FLAG_WRITE_THROUGH` on Windows to write to files. Ignored on non-Windows systems. Options are given as a list, such as `"write_through=[data]"`. Configuring `write_through` requires care, see Direct I/O for important warnings. Including `"data"` will cause WiredTiger data files to write through cache, including `"log"` will cause WiredTiger log files to write through cache. `write_through` should be combined with `direct_io` to get the equivalent of POSIX `O_DIRECT` on Windows. | a list, with values chosen from the following options: `"data"`, `"log"`; default empty.
  Additionally, if files named `WiredTiger.config` or `WiredTiger.basecfg` appear in the WiredTiger home directory, they are read for configuration values (see WiredTiger.config file and WiredTiger.basecfg file for details). See Configuration ordering for ordering of the configuration mechanisms.
  [out] | connectionp | A pointer to the newly opened connection handle

Returns
  zero on success and a non-zero error code on failure. See Error handling for details.